List Gifts for a Grant
curl --request GET \
--url https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"id": 500142,
"transactionSource": null,
"transactionId": null,
"contactId": 102301,
"contactName": "The Aspen Family Foundation",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/102301",
"giftType": "Grant",
"giftTypeFormatted": "Grant",
"giftDate": "2025-10-12T00:00:00Z",
"giftDateFormatted": "10/12/2025",
"amount": 50000,
"amountFormatted": "$50,000.00",
"currencyCode": "USD",
"exchangeRate": 1,
"baseCurrencyCode": "USD",
"batch": "4421",
"createDateTimeUtc": "2025-10-12T14:18:55Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-10-13T08:00:00Z",
"modifiedByUser": "Receipt Service",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"segmentCode": "CAP-2012",
"segmentUrl": "https://api.virtuoussoftware.com/api/Segment/2012",
"mediaOutletId": null,
"mediaOutlet": null,
"grantId": 950012,
"grant": "Aspen Family Foundation — Capital Campaign Grant 2025",
"grantUrl": "https://api.virtuoussoftware.com/api/Grant/950012",
"notes": "Capital campaign pledge fulfillment",
"tribute": null,
"tributeId": null,
"tributeType": null,
"acknowledgeeIndividualId": null,
"receiptDate": "2025-10-13T08:00:00Z",
"receiptDateFormatted": "10/13/2025",
"contactPassthroughId": null,
"contactPassthroughUrl": null,
"contactIndividualId": null,
"cashAccountingCode": null,
"giftAskId": null,
"contactMembershipId": null,
"giftDesignations": [
{
"id": 600210,
"projectId": 1503,
"project": "Building Renovation",
"projectCode": "CAP-RENO",
"externalAccountingCode": "4400",
"projectType": "Capital",
"projectLocation": "Springfield, OR",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1503",
"amountDesignated": 50000,
"display": "Building Renovation ($50,000.00)"
}
],
"giftPremiums": [],
"pledgePayments": [
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"recurringGiftPayments": [],
"giftUrl": "https://api.virtuoussoftware.com/api/Gift/500142",
"isPrivate": false,
"isTaxDeductible": true,
"customFields": [
{
"name": "SourceCode",
"value": "CAP-2012-MAIL",
"displayName": "Source Code"
},
{
"name": "AcknowledgementSent",
"value": "true",
"displayName": "Acknowledgement Sent"
}
]
}
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Grants
List Gifts for a Grant
GET
/
api
/
Grant
/
{grantId}
/
Gifts
List Gifts for a Grant
curl --request GET \
--url https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Grant/{grantId}/Gifts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"id": 500142,
"transactionSource": null,
"transactionId": null,
"contactId": 102301,
"contactName": "The Aspen Family Foundation",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/102301",
"giftType": "Grant",
"giftTypeFormatted": "Grant",
"giftDate": "2025-10-12T00:00:00Z",
"giftDateFormatted": "10/12/2025",
"amount": 50000,
"amountFormatted": "$50,000.00",
"currencyCode": "USD",
"exchangeRate": 1,
"baseCurrencyCode": "USD",
"batch": "4421",
"createDateTimeUtc": "2025-10-12T14:18:55Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-10-13T08:00:00Z",
"modifiedByUser": "Receipt Service",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"segmentCode": "CAP-2012",
"segmentUrl": "https://api.virtuoussoftware.com/api/Segment/2012",
"mediaOutletId": null,
"mediaOutlet": null,
"grantId": 950012,
"grant": "Aspen Family Foundation — Capital Campaign Grant 2025",
"grantUrl": "https://api.virtuoussoftware.com/api/Grant/950012",
"notes": "Capital campaign pledge fulfillment",
"tribute": null,
"tributeId": null,
"tributeType": null,
"acknowledgeeIndividualId": null,
"receiptDate": "2025-10-13T08:00:00Z",
"receiptDateFormatted": "10/13/2025",
"contactPassthroughId": null,
"contactPassthroughUrl": null,
"contactIndividualId": null,
"cashAccountingCode": null,
"giftAskId": null,
"contactMembershipId": null,
"giftDesignations": [
{
"id": 600210,
"projectId": 1503,
"project": "Building Renovation",
"projectCode": "CAP-RENO",
"externalAccountingCode": "4400",
"projectType": "Capital",
"projectLocation": "Springfield, OR",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1503",
"amountDesignated": 50000,
"display": "Building Renovation ($50,000.00)"
}
],
"giftPremiums": [],
"pledgePayments": [
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"recurringGiftPayments": [],
"giftUrl": "https://api.virtuoussoftware.com/api/Gift/500142",
"isPrivate": false,
"isTaxDeductible": true,
"customFields": [
{
"name": "SourceCode",
"value": "CAP-2012-MAIL",
"displayName": "Source Code"
},
{
"name": "AcknowledgementSent",
"value": "true",
"displayName": "Acknowledgement Sent"
}
]
}
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Last modified on July 24, 2026
Was this page helpful?